## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreMarkerNavigationProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.marker.AbstractMarkerNavigationProvider
              org.eclipse.gmf.runtime.emf.ui.providers.marker.AbstractModelMarkerNavigationProvider
                  org.eclipse.emf.ecoretools.diagram.providers.EcoreMarkerNavigationProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.common.ui.services.internal.marker.IMarkerNavigationProvider

    public class EcoreMarkerNavigationProvider

extends org.eclipse.gmf.runtime.emf.ui.providers.marker.AbstractModelMarkerNavigationProvider

Field Summary
`static java.lang.String` `MARKER_TYPE`

Constructor Summary
`EcoreMarkerNavigationProvider()`

Method Summary
`static org.eclipse.core.resources.IMarker` `addMarker(org.eclipse.core.resources.IFile file, java.lang.String elementId, java.lang.String location, java.lang.String message, int statusSeverity)`
`static void` `deleteMarkers(org.eclipse.core.resources.IResource resource)`
`protected void` `doGotoMarker(org.eclipse.core.resources.IMarker marker)`

Methods inherited from class org.eclipse.gmf.runtime.emf.ui.providers.marker.AbstractModelMarkerNavigationProvider
`getEObjects, getResource, gotoMarker`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.marker.AbstractMarkerNavigationProvider
`getEditor, provides, setEditor`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Field Detail

### MARKER_TYPE

    public static final java.lang.String MARKER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### EcoreMarkerNavigationProvider

    public EcoreMarkerNavigationProvider()

Method Detail

### doGotoMarker

    protected void doGotoMarker(org.eclipse.core.resources.IMarker marker)

  Specified by:
    `doGotoMarker` in class `org.eclipse.gmf.runtime.common.ui.services.marker.AbstractMarkerNavigationProvider`

### deleteMarkers

    public static void deleteMarkers(org.eclipse.core.resources.IResource resource)

### addMarker

    public static org.eclipse.core.resources.IMarker addMarker(org.eclipse.core.resources.IFile file,
                                                               java.lang.String elementId,
                                                               java.lang.String location,
                                                               java.lang.String message,
                                                               int statusSeverity)

Copyright 2007 Anyware Technologies. All Rights Reserved.